Resource Center/Resource Pool/VM Instance Operations
PUTVM Instance OperationsSince 5.4.2SynchronousAuth Required
UpdateConsolePassword
UpdateConsolePassword
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource Uuid.
Body Fields
passwordStringRequired密码。
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/vm-instances/{uuid}/actions
/zstack/v1/vm-instances/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/vm-instances/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"password":"<password>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "12e95e232863327c846cfd4752a18abd", "name": "Test-VM-Updated", "state": "Running" } }Change History
This API has no change history records yet.
